Subject: [PATCH v3] arm: omap2: remove redundant multiplatform checks

From: [email-masked] (Tony Lindgren)
Date: Wed, 6 Apr 2016 12:14:34 -0700

* Lokesh Vutla <[email-masked]> [160406 01:50]:
> +Tony
> 
> On Wednesday 06 April 2016 01:44 PM, Jonas Rabenstein wrote:
> > From: Jonas Rabenstein <[email-masked]>
> > 
> > The directory arch/arm/mach-omap2 is only selected for compilation if
> > CONFIG_ARCH_OMAP2PLUS is selected. CONFIG_ARCH_OMAP2PLUS itself is a
> > silent option and all machines selecting this option are multiplatform
> > devices. As a consequence checks for CONFIG_ARCH_MULTIPLATFORM as well
> > as CONFIG_ARCH_OMAP2PLUS within that directory are superfluous and can
> > be removed.
> 
> Reviewed-by: Lokesh Vutla <[email-masked]>

Yeah nice if we can remove the legacy multi SoC options. I'll take
a closer look within few days as I'm still at ELC.

Regards,

Tony